Bug 407671 - SELinux is preventing /bin/dbus-daemon (xdm_t) "create" to (xdm_t).
SELinux is preventing /bin/dbus-daemon (xdm_t) "create" to (xdm_t).
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 23:56 EST by Jim Cornette
Modified: 2007-12-03 21:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 21:50:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2007-12-01 23:56:40 EST
Description of problem:
Booting with enforcing=0 into runlevel 5 using gdm while starting GNOME.

Version-Release number of selected component (if applicable):
selinux-policy-3.1.2-2.fc9
kernel-2.6.23.1-49.fc8

How reproducible:
boot after upgrading packages into runlevel 5.

Steps to Reproduce:
1. add enforcing=0 to grub during boot up
2. login to gnome via gdm
3. check troubleshooter browser for errors
  
Actual results:
Received errors not listed in search for dbus

Expected results:
I was booting into runlevel 3 mostly and no more errors related to SELinux 
are now present. I was not sure what runlevel 5 would show.

Additional info:
Summary
    SELinux is preventing /bin/dbus-daemon (xdm_t) "create" to <Unknown>
    (xdm_t).

Detailed Description
    SELinux denied access requested by /bin/dbus-daemon. It is not expected that
    this access is required by /bin/dbus-daemon and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:xdm_t:SystemLow-SystemHigh
Target Context                system_u:system_r:xdm_t:SystemLow-SystemHigh
Target Objects                None [ netlink_selinux_socket ]
Affected RPM Packages         dbus-1.1.2-9.fc9 [application]
Policy RPM                    selinux-policy-3.1.2-2.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall
Host Name                     HP-JCF7
Platform                      Linux HP-JCF7 2.6.23.1-49.fc8 #1 SMP Thu Nov 8
                              21:41:26 EST 2007 i686 athlon
Alert Count                   1
First Seen                    Sat 01 Dec 2007 11:02:16 PM EST
Last Seen                     Sat 01 Dec 2007 11:02:16 PM EST
Local ID                      46c13d3b-9ad2-4e17-84de-53cb29ca2deb
Line Numbers                  

Raw Audit Messages            

avc: denied { create } for comm=dbus-daemon egid=42 euid=42 exe=/bin/dbus-daemon
exit=6 fsgid=42 fsuid=42 gid=42 items=0 pid=2426
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 sgid=42
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 suid=42
tclass=netlink_selinux_socket tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023
tty=(none) uid=42
Comment 1 Jim Cornette 2007-12-02 00:01:03 EST
I am having bind, execute_no_trans, create and read errors related to dbus.
Comment 2 Daniel Walsh 2007-12-02 21:17:50 EST
Fixed in selinux-policy-3.2.1-1.fc9
Comment 3 Jim Cornette 2007-12-03 21:50:01 EST
confirmed. Closed as fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.